<?php
#Made By: AngelOfFaith
#URL: http://coder-lib.ru
#ICQ: 410755038
#Mail: angeloffaith@inbox.ru
#Скпри запрещено продавать, раздавать, менять, выкладывать, переписывать!
#Все права на скрипт принадлежат автору, тоесть мне!
#З.Ы. Уважайте авторские права

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Онлайн город'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();
aut();

$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){


echo '<b><font color="red">SECURITY</font></b><br/>';


$action=htmlspecialchars(trim($_GET['action']));


switch ($action){

default:
echo'Пpивeт <b>'.$user['nick'].'</b>! <br/>
Tы находишься в охранном агентстве.<br/>
Здесь ты можешь нанять личную охрану для предотвращения нападений.<br/>';

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `gorod_security`"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){echo 'Пока нет охраны!';break;};
$q=mysql_query("SELECT * FROM `gorod_security` ORDER BY `price` ASC LIMIT $start, $onpage");

while($row=mysql_fetch_assoc($q)){
echo'&raquo; <a href="security.php?action=buy&amp;id='.$row['id'].'">'.$row['name'].'-></a>
'.$row['price'].' $ Урон: <font color="red">'.$row['uron'].'</font><br/>';
};
if ($k_page>1)str('?',$k_page,$page); // Вывод страниц
break;


case 'buy':
$id=(int)$_GET['id'];
if(!$id){echo 'Пустые параметры!';break;};
$x=mysql_query("SELECT * FROM `gorod_security` WHERE `id`='$id'");
if(!mysql_num_rows($x)){echo 'Такого охранника не существует!';break;};
$x=mysql_fetch_assoc($x);

if($user['gorod_money']<$x['price']){
echo''.$user['nick'].', y тeбя нeт мoнeт, чтoбы кyпить такого охранника. Пpиxoди, кoгдa paзбoгaтeeшь.<br/>';
}else{
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'".$x['price']."',`gorod_security`='".$x['name']."',`gorod_security_uron`='".$x['uron']."' WHERE `id`='".$user['id']."'");


echo 'Теперь у вас новый охранник: '.$x['name'].' <b>['.$x['uron'].']</b><br/>';

};
break;

};
echo '<div class="msg"><a href="index.php">В город</a></div>';
}else{echo '<div class="msg">Город закрыт администратором!</div>';};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>